javax.media.j3d

## Class PickPoint

- java.lang.Object
- - javax.media.j3d.PickShape
  - - javax.media.j3d.PickPoint

- Deprecated.
  As of Java 3D version 1.4, use PickBounds with a BoundingSphere that has a small radius.

      public final class PickPoint
      extends PickShape

  PickPoint is a pick shape defined as a single point. It can be used as an argument to the picking methods in BranchGroup and Locale.
  See Also:
    `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`, `PickBounds`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickPoint()` Deprecated. Constructs a PickPoint using a default point.
    `PickPoint(Point3d location)` Deprecated. Constructs a PickPoint from the specified parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `get(Point3d location)` Deprecated. Gets the position of this PickPoint.
    `void` | `set(Point3d location)` Deprecated. Sets the position of this PickPoint to the specified value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PickPoint

          public PickPoint()

      Deprecated.
      Constructs a PickPoint using a default point. The point is initialized to (0,0,0).

    - #### PickPoint

          public PickPoint(Point3d location)

      Deprecated.
      Constructs a PickPoint from the specified parameter.
      Parameters:
        `location` - the pick point.

  - ### Method Detail

    - #### set

          public void set(Point3d location)

      Deprecated.
      Sets the position of this PickPoint to the specified value.
      Parameters:
        `location` - the new pick point.

    - #### get

          public void get(Point3d location)

      Deprecated.
      Gets the position of this PickPoint.
      Parameters:
        `location` - returns the current pick point.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.